#include <iostream>
using std::cout;
using std::cin;
using std::string;
using std::swap;

int main()
{
    string x,rec;
    int a1,a2;
    cin >> x >> a1 >> a2;
    if(a1<a2)
        swap(x[0],x[1]);
    if(abs(a1-a2)>1)
        cout << "nemoguce" << '\n';
    else
    {
        for(int i=0; i<a1+a2; i++)
            rec += (i%2)?x[1]:x[0];
        cout << rec << '\n';
    }
    return 0;
}